This method retrieves a value from the hash by its key

- « QuickHashStringIntHash::exists

- QuickHashStringIntHash::getSize »

- PHP Manual
- QuickHashStringIntHash
- This method retrieves a value from the hash by its key

# QuickHashStringIntHash::get

(No version information available, might only be in Git)

QuickHashStringIntHash::get — This method retrieves a value from the hash by its key

### Description

public QuickHashStringIntHash::get(string `$key`): mixed

This method retrieves a value from the hash by its key.

### Parameters

`key`

  The key of the entry to retrieve.

### Return Values

The value if the key exists, or `null` if the key wasn't part of the hash.

### Examples

Example #1 QuickHashStringIntHash::get() example

    <?php
    $hash = new QuickHashStringIntHash( 8 );
    var_dump( $hash->get( "one" ) );

    var_dump( $hash->add( "two", 2 ) );
    var_dump( $hash->get( "two" ) );
    ?>

The above example will output something similar to:

    bool(false)
    bool(true)
    int(2)